Graph learning
==============================

Collection of models for learning networks from signals.

Clustering methods follow the [sklearn](https://scikit-learn.org/stable/) API.

## Installation

Clone the git repository and install with pip:
```
git clone https://github.com/LTS4/graph-learning.git
cd graph-learning
pip install .
```

## References

**Smooth learning**

> V. Kalofolias, “How to Learn a Graph from Smooth Signals,” in Proceedings of the 19th International Conference on Artificial Intelligence and Statistics, May 2016, pp. 920–929. doi: 10.48550/arXiv.1601.02513.

**GLMM**

> H. P. Maretic and P. Frossard, “Graph Laplacian mixture model,” arXiv:1810.10053 [cs, stat], Mar. 2020, Accessed: Mar. 31, 2022. [Online]. Available: http://arxiv.org/abs/1810.10053

**k-Graphs**

> H. Araghi, M. Sabbaqi, and M. Babaie–Zadeh, “$K$-Graphs: An Algorithm for Graph Signal Clustering and Multiple Graph Learning,” IEEE Signal Processing Letters, vol. 26, no. 10, pp. 1486–1490, Oct. 2019, doi: 10.1109/LSP.2019.2936665.
